# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ConversionBasedUnitAndMassUnit Class Reference

`#include <StepBasic_ConversionBasedUnitAndMassUnit.hxx>`

Inheritance diagram for StepBasic_ConversionBasedUnitAndMassUnit:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ConversionBasedUnitAndMassUnit ()
| Returns a ConversionBasedUnitAndLengthUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions, const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_MeasureWithUnit)&aConversionFactor)
Standard_EXPORT void | SetMassUnit (const Handle(StepBasic_MassUnit)&aMassUnit)
Standard_EXPORT Handle_StepBasic_MassUnit | MassUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_MassUnit | massUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ConversionBasedUnitAndMassUnit::StepBasic_ConversionBasedUnitAndMassUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ConversionBasedUnitAndMassUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ConversionBasedUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnitAndMassUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_MeasureWithUnit)& | aConversionFactor
| ) | `[virtual]`

| Reimplemented from StepBasic_ConversionBasedUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnitAndMassUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_ConversionBasedUnit.

Standard_EXPORT Handle_StepBasic_MassUnit StepBasic_ConversionBasedUnitAndMassUnit::MassUnit | ( |  | ) | const

Standard_EXPORT void StepBasic_ConversionBasedUnitAndMassUnit::SetMassUnit | ( | const Handle(StepBasic_MassUnit)& | aMassUnit | ) |

## Field Documentation

Handle_StepBasic_MassUnit StepBasic_ConversionBasedUnitAndMassUnit::massUnit `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ConversionBasedUnitAndMassUnit.hxx